验证中...
语言: PHP
分类: 软件配置
最后更新于 2018-05-19 10:22
app.md
原始数据 复制代码

laravel-china composer 加速

选项一、全局配置(推荐)
    > composer self-update
    > composer config -g repo.packagist composer https://packagist.laravel-china.org
选项二、单独使用

如果仅限当前工程使用镜像,去掉 -g 即可,如下:

    > composer config repo.packagist composer https://packagist.laravel-china.org
取消镜像

    > composer config -g --unset repos.packagist

参照 https://laravel-china.org/composer

docker-ce(docker 1.12.x 亲测无法正常使用)##

Uninstall old versions
Older versions of Docker were called docker or docker-engine. If these are installed, uninstall them, along with associated dependencies.

    > sudo yum remove docker \
                  docker-client \
                  docker-client-latest \
                  docker-common \
                  docker-latest \
                  docker-latest-logrotate \
                  docker-logrotate \
                  docker-selinux \
                  docker-engine-selinux \
                  docker-engine

使用官方安装脚本自动安装
    > curl -fsSL https://get.docker.com | bash -s docker --mirror Aliyun
手动安装帮助
Ubuntu 14.04 16.04 (使用apt-get进行安装)
# step 1: 安装必要的一些系统工具
    > sudo apt-get update
    > sudo apt-get -y install apt-transport-https ca-certificates curl software-properties-common
# step 2: 安装GPG证书
    > curl -fsSL http://mirrors.aliyun.com/docker-ce/linux/ubuntu/gpg | sudo apt-key add -
# Step 3: 写入软件源信息
    > sudo add-apt-repository "deb [arch=amd64] http://mirrors.aliyun.com/docker-ce/linux/ubuntu $(lsb_release -cs) stable"
# Step 4: 更新并安装 Docker-CE
    > sudo apt-get -y update
    > sudo apt-get -y install docker-ce

# 安装指定版本的Docker-CE:
# Step 1: 查找Docker-CE的版本:
    > apt-cache madison docker-ce
#   docker-ce | 17.03.1~ce-0~ubuntu-xenial | http://mirrors.aliyun.com/docker-ce/linux/ubuntu xenial/stable amd64 Packages
#   docker-ce | 17.03.0~ce-0~ubuntu-xenial | http://mirrors.aliyun.com/docker-ce/linux/ubuntu xenial/stable amd64 Packages
# Step 2: 安装指定版本的Docker-CE: (VERSION 例如上面的 17.03.1~ce-0~ubuntu-xenial)
    > [sudo] apt-get -y install docker-ce=[VERSION]
CentOS 7 (使用yum进行安装)
# step 1: 安装必要的一些系统工具
    > [sudo] yum install -y yum-utils device-mapper-persistent-data lvm2
# Step 2: 添加软件源信息
    > [sudo] yum-config-manager --add-repo http://mirrors.aliyun.com/docker-ce/linux/centos/docker-ce.repo
# Step 3: 更新并安装 Docker-CE
    > [sudo] yum makecache fast
    > [sudo] yum -y install docker-ce
# Step 4: 开启Docker服务
    > [sudo] service docker start

# 注意:
# 官方软件源默认启用了最新的软件,您可以通过编辑软件源的方式获取各个版本的软件包。例如官方并没有将测试版本的软件源置为可用,你可以通过以下方式开启。同理可以开启各种测试版本等。
    > vim /etc/yum.repos.d/docker-ce.repo
#   将 [docker-ce-test] 下方的 enabled=0 修改为 enabled=1
#
# 安装指定版本的Docker-CE:
# Step 1: 查找Docker-CE的版本:
    > yum list docker-ce.x86_64 --showduplicates | sort -r
#   Loading mirror speeds from cached hostfile
#   Loaded plugins: branch, fastestmirror, langpacks
#   docker-ce.x86_64            17.03.1.ce-1.el7.centos            docker-ce-stable
#   docker-ce.x86_64            17.03.1.ce-1.el7.centos            @docker-ce-stable
#   docker-ce.x86_64            17.03.0.ce-1.el7.centos            docker-ce-stable
#   Available Packages
# Step2 : 安装指定版本的Docker-CE: (VERSION 例如上面的 17.03.0.ce.1-1.el7.centos)
    > [sudo] yum -y install docker-ce-[VERSION]
安装校验
    > docker version
#   Client:
#    Version:      17.03.0-ce
#    API version:  1.26
#    Go version:   go1.7.5
#    Git commit:   3a232c8
#    Built:        Tue Feb 28 07:52:04 2017
#    OS/Arch:      linux/amd64

#   Server:
#    Version:      17.03.0-ce
#    API version:  1.26 (minimum version 1.12)
#    Go version:   go1.7.5
#    Git commit:   3a232c8
#    Built:        Tue Feb 28 07:52:04 2017
#    OS/Arch:      linux/amd64
#    Experimental: false

参照 https://yq.aliyun.com/articles/110806?spm=5176.8351553.0.0.1c851991lt48q0 https://docs.docker.com/install/linux/docker-ce/centos/#uninstall-old-versions

阿里云docker加速

参照 https://yq.aliyun.com/articles/29941

解决docker-compose下载超时

本地下载https://github.com/docker/compose/releases 上传至服务器 运行 > mv docker-compose-Linux-x86_64 /usr/bin/docker-compose > chmod +x docker-compose

安装git

laradock

下载项目
	> git clone https://github.com/laradock/laradock.git

复制环境变量以及配置文件
    > cp docker-compose.yml.example docker-compose.yml
    > cp env-example .env
项目不同可能会导致文件命名不同 灵活应变

配置nginx 
    > cd nginx/sites/
    > mv xxx.conf.example xxx.conf 
将文件从xxx.conf.example 重命名为 xxx.conf

新增项目目录 配置.env 修正
    > cd .. && mkdir project
    > APP_CODE_PATH_HOST = ../project/
旧版本/文档中 变量名为 APPLICATION 现已改 请按照上述修正
其他PHP版本等依据修改

配置多项目 参考 http://laradock.io/getting-started/#B

最后灵活安装或者重装想要的应用
    > docker-compse up -d mysql php-fpm nginx workspace redis ...

PS
(测试发现 mysql latest版本无法正常启用 在.ENV 中 将msyql_version 修正为5.7后成功)
参考: https://stackoverflow.com/questions/50218752/laradock-mysql-wont-start-and-exits1

无法连接数据库 应将 laravel的环境变量中的 host 修正为 mysql
参考
    DB_CONNECTION=mysql
    DB_HOST=mysql
    DB_PORT=3306
    DB_DATABASE=admin
    DB_USERNAME=root
    DB_PASSWORD=root

评论列表( 0 )

你可以在登录后,发表评论

9_float_left_people 9_float_left_close